html, body {
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  background: #000;
  font-size: 6px;
  line-height: 9px;
  font-family: "Helvetica Neue", "Helvetica", "Arial", sans-serif;
  color: #141810;
}

html {  
  flex-direction: column;
}

body {
  width: 100%;
  height: 100%;
  flex-direction: row;
  overflow: hidden;
  touch-action: none;
  position: relative;
  background: #000;
}

main {
  position: relative;
  width: 100%;
  height: 100%;
  background: #000;
  border-color: #141810;
  border-style: solid;
  border-width: 20px;
  border-bottom-width: 36px;
  overflow: hidden;
}

main.rare {
  border-color: #E3DBD7;
}

main.rare>footer,
footer.common {
  color: #E3DBD7;
}

p {
  margin:  0;
}

main>p {
  position: absolute;
  left: 0;
  bottom:  50%;
  width:  100%;
  text-align: center;
  color: #E3DBD7;
  font-size: 10px;
  opacity: 0.4;  
  animation: loadAnimation 1s infinite;
}

@keyframes loadAnimation {
  0%   { opacity:0.4; }
  50%  { opacity:1; }
  100% { opacity:0.4; }
}

footer {
  position: absolute;
  bottom: 12px;
  right: 20px;
  text-align: right;
}

footer p:first-of-type {
  font-weight: bold;
}

* {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  -webkit-tap-highlight-color: transparent;
  -webkit-touch-callout: none;
}

